# WP Multi Team-Card

**Erstellt Teamkarten mit Name, Funktion, Zuständigkeit, Bild und Kategorie. Ausgabe per Shortcode `[teamcards]`.**

[![Letzte Version](https://img.shields.io/badge/Version-1.0-blue)](https://git.viper.ipv64.net/M_Viper/wp-multi-teamcard/releases)
[Microsoft Teams Support](https://teams.live.com/l/community/FEAzokphpZTJ2u6OgI) • [Telegram Support](https://t.me/M_Viper04)

---

## Features

- Verwaltung von Teammitgliedern im WordPress-Backend
- Teamkarten mit Name, Funktion, Zuständigkeit, Bild und Kategorie
- Drag & Drop Sortierung und Inline-Bearbeitung im Backend
- Responsive Darstellung im Frontend
- Ausgabe per Shortcode `[teamcards]`
- Kategorien für Teammitglieder
- Bild-Upload und Vorschau
- Automatische Update-Benachrichtigung bei neuen Releases

---

## Installation

1. Lade das Plugin herunter oder klone das Repository: git clone https://git.viper.ipv64.net/M_Viper/wp-multi-teamcard.git
2. Kopiere den Ordner `wp-multi-teamcard` in dein WordPress-Plugin-Verzeichnis (`/wp-content/plugins/`).
3. Aktiviere das Plugin im WordPress-Backend unter „Plugins“.

**Mindestanforderungen:**
- WordPress 6.7.2 oder neuer
- PHP 7.2 oder neuer

---

## Nutzung

### Teammitglieder verwalten

Im WordPress-Backend erscheint ein Menüpunkt **Teamkarten**. Dort kannst du:

- Neue Teammitglieder hinzufügen (Name, Funktion, Zuständigkeit, Bild, Kategorie)
- Bestehende Teammitglieder bearbeiten (per Klick auf das jeweilige Feld)
- Reihenfolge per Drag & Drop ändern
- Teammitglieder löschen
- Bilder per Medienauswahl zuweisen oder ändern

### Shortcode

Gib den Shortcode überall im Editor ein, wo die Teamkarten angezeigt werden sollen: `[teamcards]`

**Optional:** Nach Kategorie filtern: `[teamcards kategorie="support"]`
Ersetze `"support"` durch den Slug der gewünschten Kategorie.

---

## Beispielausgabe (Frontend)

Die Teamkarten werden als responsive Grid angezeigt, z.B.:

+-------------------+----------------------------------+
| [Bild] | Name: Max Mustermann |
|        | Funktion: Support |
|        | Zuständigkeit: Kundenservice |
+-------------------+----------------------------------+


---

## Entwickler-Infos

- **Custom Post Type:** `teamcard`
- **Taxonomie:** `teamcard_kategorie`
- **Shortcode:** `[teamcards]`
- **AJAX-Handler:** Hinzufügen, Bearbeiten, Löschen, Sortieren, Bild-Upload
- **Styles & Scripts:** Werden nur im Admin geladen

---

## Update-Hinweis

Das Plugin prüft automatisch, ob eine neue Version auf Gitea verfügbar ist, und zeigt einen Hinweis im Admin-Bereich an.

---

## Support

- [Microsoft Teams Community](https://teams.live.com/l/community/FEAzokphpZTJ2u6OgI)
- [Telegram Support](https://t.me/M_Viper04)

---

## Lizenz

GPLv2 – siehe [LICENSE](https://www.gnu.org/licenses/gpl-2.0.html)

---

## Autor

- **M_Viper**
- [m-viper.de](https://m-viper.de)
